Помощь [help] перевод движка из 2.3 в 7.2

Тема в разделе "DLE", создана пользователем docddmtr, 29 авг 2008.

Информация :
Актуальная версия DataLife Engine 11.2
( Final Release v.11.2 | Скачать DataLife Engine | Скачать 11.2 demo )
Нужно ли обновляться | Как обновиться | Изменения в шаблонах
> Нет русских символов <
[Приватная тема DLE (Все подробности в ЛС к модератору раздела)]

Версии 11.1 и ниже - уязвимы!

Локализации | F.A.Q. | Внешний вид
Правила раздела | Правила форума
Обсуждение хайда карается баном!
В каждом сообщении указывайте версию DLE, которого они касаются!
Статус темы:
Закрыта.
Модераторы: killoff
  1. docddmtr

    docddmtr Создатель

    Регистр.:
    26 авг 2008
    Сообщения:
    32
    Симпатии:
    0
    В общем собственно проблема состоит в следующем:
    В локальной сети варез портал установленный на dle 2.3. Ужасно хочется перевести до 7,2 или хотя-бы до 7,0. При обновлении приходится руководится следующим образом - сразу обновляю до 3,2 потом до 4,0 а от этой версии уже скачем дальше. НО! После перехода от 3,2 до 4,0 исчезают ПС, а далее при апгрейде перестает работать система регистрации.
    Помогите кто чем может!
     
  2. DemanZ

    DemanZ Постоялец

    Регистр.:
    16 мар 2007
    Сообщения:
    144
    Симпатии:
    113
    Это уже нужен индивидуальный подход...
    По мне, когда я у себя обновлял 6.5 на 7.2 (конечно не такие глобальные изменения как будут у тебя...)
    Просто установил на тестовом компе версию 7.2, сделал бэкап обоих баз данных и смотрел что в них поменялось...
    И по логике если что подправляю insert'ы, выполяю их к базе 7.2
     
  3. glam

    glam

    Регистр.:
    12 апр 2007
    Сообщения:
    734
    Симпатии:
    217
    Конверт базы данных тебе нужен адекватный под заказ и всё.
     
  4. method

    method

    Регистр.:
    8 июл 2007
    Сообщения:
    559
    Симпатии:
    134
    сделай дамп и сравни отличия в базах между 3.2 и 4, подправляй ручками, обновляй до следующей запары. Это если без конвертора и самому. Долго, трудоемко, но бесплатно.
     
  5. glam

    glam

    Регистр.:
    12 апр 2007
    Сообщения:
    734
    Симпатии:
    217
    конверт знающий человек напишет быстро и за дешево (~5$ а то и меньше), советую обратиться к спецам, только базу свою им не подари :smmne:
     
  6. pozerovnet

    pozerovnet

    Регистр.:
    31 янв 2008
    Сообщения:
    400
    Симпатии:
    11
    Я с 5.3 обновлялся до 7.0 - странно, но без потерь (не считая модулей), так что смотри, может у тебя нуллы не той системы (не от мид-тима)
     
  7. anthrax

    anthrax Писатель

    Заблокирован
    Регистр.:
    30 окт 2006
    Сообщения:
    382
    Симпатии:
    198
    Насколько я знаю ДЛЕ пошел с версии 3.5 !?

    Есть версии 3.7 и 4.0

    Могу дать. Попробуешь сначала поменять может с таких версий? А после 4.0 = ап пройдет отлично. Сам тестировал на локалке только что.
     
  8. pozerovnet

    pozerovnet

    Регистр.:
    31 янв 2008
    Сообщения:
    400
    Симпатии:
    11
    Чуть что у меня валяется 4.3 версия :)
    п.с. только не забывай, что старые версии можно было ставить только в корень сайта и никаких подпапок ;)
     
  9. docddmtr

    docddmtr Создатель

    Регистр.:
    26 авг 2008
    Сообщения:
    32
    Симпатии:
    0
    Дело как раз состоит в том что нуллы начинаются с 4й версии. Все ранние версии у меня есть начиная с 2.1 фикс.
     
  10. Хомячок

    Хомячок

    Регистр.:
    10 апр 2008
    Сообщения:
    184
    Симпатии:
    103
    Я как раз собираюсь обновить 6.5 до 7.2. Можете написать все инсерты, которые вы сделали. Буду очень благодарен.
     
Статус темы:
Закрыта.